غیر فعال کردن ویرایشگر پوسته و افزونه در وردپرس

غیر فعال کردن ویرایشگر پوسته و افزونه در وردپرس

برای بسیاری از مدیران و توسعه دهندگان وردپرس دسترسی کاربران تازه کار ! به ویرایشگر پوسته ها و افزونه ها یکی از مشکلات بزرگ محسوب می شود ، کاربرانی که با ویرایش یک کلمه ساده کل سایت را دچار مشکل می کنند . امروز پس از تاخیر تقریبا یک ماهه در به روز رسانی سایت با کد کوتاهی برای حذف دسترسی کاربران به به این بخش مهم و حیاتی در خدمت شما هستیم ، اگر تا کنون عضو خبرنامه ما نشده اید ، به شما پیشنهاد می کنیم که از طریق فرم سمت چپ این صفحه حتما این کار را انجام دهید ، چون قالب ها و آموزش های غافل گیر کننده ای در راه است …

به زودی آپدیت محصولات فروشگاه برای مشتریان عزیز ارسال خواهد شد ، با تشکر از صبر و همراهی عزیزان

با ادامه مطلب همراه ما باشید …

برای اینکار کافی است کد زیر را به انتهای فایل functions.php قالب اضافه کرده و آن را ذخیره کنید :

// Disable the theme / plugin text editor in Admin
define('DISALLOW_FILE_EDIT', true);

بعد از انجام اینکار ، هیچ یک از کاربران به قسمت ویرایشگر پوسته ها و افزونه ها دسترسی نداشته و برای ویرایش این فایل ها باید از طریق کنترل پنل هاست اقدام کنید …

9 پاسخ
  1. کسری
    کسری says:

    سلام
    من این کد رو در قسمت functions.php در ویرایشگر وردپرسم اضافه کردم و همانطور که فرمودید عمل کرد اما می خواهم به حالت قبل برش گردونم اما نمی تونم

    لطفا به طور کامل توضیح بدید توی cPanel میرم توی functions.php اما این کد را دیگه پیدا نمیکنم که حذف کنم

    پاسخ
    • کسری
      کسری says:

      خودم مشکل رو حل کردم

      مینویسم شاید مشکل بعضی دیگر از دوستان هم باشه

      اشتباه من رو نکنید و کد رو در functions.php قالب سایتتون اضافه یا حذف کنید. من functions.php صفحه اصلی رو دستخوش تغییرات کردم. مرسی بابت آموزشتون

      پاسخ
  2. علی
    علی says:

    خسته نباشید

    ببخشید همونطور که گفتید ویرایشگر در زیر منوی نمایش وجود داره
    الان وردپرس من نگارش ۴.۱ هست و ویرایشگر در اون قسمت دیده نمیشه در صورتی که قبل از همان منو دسترسی داشتم.
    چطور باید به ویرایشگر دسترسی داشته باشم؟؟؟؟
    ممنون

    پاسخ
  3. abtin
    abtin says:

    سلام من به ویرایشگر قالب وردپرس دسترسی ندارم و با خطای ببخشید، نمی‌توانید این پرونده را ویرایش کنید. مواجه میشم من قبلا وردپرس ۳.۶ فارسی داشتم این مشکل را نداشتم اما الان وردپرس ۴.۴.۲ فارسی نصب کردم و این مشکل برای من به عنوان ادمین دردسر ساز شده است. لطفا راهنماییم کنید

    پاسخ

دیدگاه خود را ثبت کنید

مطلب خاصی فکرتان را مشغول کرده است ؟
آن را با ما در میان بگذارید !

دیدگاهتان را بنویسید

نشانی ایمیل شما منتشر نخواهد شد. بخش‌های موردنیاز علامت‌گذاری شده‌اند *